Inspection Documents
The inspection documents resource.
Basehttps://rest.carbon.ms/inspectionDocuments
GET
/inspectionDocumentsList inspection documents
Retrieve a paginated list of inspection documents. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/inspectionDocuments
curl --request GET \
--url 'https://rest.carbon.ms/inspectionDocuments?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"partId": "xyz789",
"drawingNumber": "string",
"version": 0,
"storagePath": "string",
"fileName": "string",
"pageCount": 10
}
]GET
/inspectionDocumentsRetrieve a inspection documents
Fetch a single inspection documents by filtering on `id`.
Query parameters
idstringMatch on the inspection documents's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/inspectionDocuments
curl --request GET \
--url 'https://rest.carbon.ms/inspectionDocuments?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"partId": "xyz789",
"drawingNumber": "string",
"version": 0,
"storagePath": "string",
"fileName": "string",
"pageCount": 10
}